# $Id: celestia.spec,v 1.2 2002/07/03 14:12:56 dude Exp $

Summary: A real-time visual space simulation.
Name: celestia
Version: 1.2.4
Release: fr2
License: GPL
Group: Amusements/Graphics
Source: http://prdownloads.sourceforge.net/celestia/celestia-%{version}.tar.bz2
URL: http://www.shatters.net/celestia/
BuildRoot: %{_tmppath}/%{name}-root
Requires: glut, gtkglarea, libpng, libjpeg
BuildRequires: glut-devel, gtkglarea, gtk+-devel, libpng-devel, libjpeg-devel

%description
Celestia is a free real-time space simulation that lets you experience our
universe in three dimensions. Unlike most planetarium software, Celestia
doesn't confine you to the surface of the Earth. You can travel throughout
the solar system, to any of over 100,000 stars, or even beyond the galaxy.
All travel in Celestia is seamless; the exponential zoom feature lets you
explore space across a huge range of scales, from galaxy clusters down to
spacecraft only a few meters across. A 'point-and-goto' interface makes it
simple to navigate through the universe to the object you want to visit.

%prep
%setup -q

%build
%configure 
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Applications
cat > %{buildroot}%{_datadir}/gnome/apps/Applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Celestia
Comment=%{summary}
Icon=%{_datadir}/%{name}/textures/flare.jpg
Exec=%{name}
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/gnome/apps/Applications/%{name}.desktop
%dir %{_datadir}/%{name}
%config %{_datadir}/%{name}/celestia.cfg
%doc %{_datadir}/%{name}/controls.txt
%doc %{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/*.cel
%{_datadir}/%{name}/data
%{_datadir}/%{name}/extras
%{_datadir}/%{name}/fonts
%doc %{_datadir}/%{name}/manual
%{_datadir}/%{name}/models
%{_datadir}/%{name}/shaders
%{_datadir}/%{name}/textures

%changelog
* Wed Jul  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt to remove the NVidia dependency (oops!).

* Wed May 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Sorry, I'm a maniac ;-)

* Tue May 14 2002 Julien MOUTTE <julien@moutte.net>
- Initial RPM release.

